.login-page {
  width: 100%;
  height: 100vh;
  min-height: 100vh;
  display: grid;
  grid-template-columns: 395.25fr 1044fr;
  background: url("images/background.webp");
  background-size: cover;

  &__image {
    width: 100%;
    height: 100%;
  }

  &__container {
    border-left: 2px solid var(--gray-4);
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 64px;
  }

  &__header {
    font-size: 30px;
    line-height: 29px;
    letter-spacing: 0.02em;
    text-transform: uppercase;
    color: var(--light);
    margin-bottom: 25px;
  }

  &__form {
    max-width: 600px;
    width: 100%;
  }

  &__form-inputs {
    display: flex;
    flex-direction: column;
    gap: 15px;
  }

  &__input {
    width: 100%;
  }

  &__alert {
    padding: 0 20px;
    margin-top: 5px;
    font-size: 14px;
    line-height: 19px;
    display: flex;
    align-items: center;
    letter-spacing: 0.03em;
    color: var(--error);
  }

  &__submit {
    font-size: 14px;
    padding: 10px;
    min-width: 158px;
    margin-top: 30px;
    text-transform: none;
  }

  @media screen and (max-width: 1230px) {
    display: block;

    &__image {
      display: none;
    }

    &__header {
      margin-bottom: 60px;
      text-align: center;
    }

    &__submit {
      margin-left: auto;
      margin-right: auto;
      text-transform: uppercase;
      font-size: 16px;
      padding: 16px;
    }

    &__form {
      max-width: 350px;
    }

    &__container {
      border-left: 0;
    }
  }

  @media screen and (max-width: 567px) {

    &__container {
      padding: 141px 16px;
      position: relative;
      height: fit-content;
      min-height: 100vh;
      align-items: start;
    }

    &__alert {
      margin-top: 7px;
      font-size: 13px;
      padding-left: 30px;
      padding-right: 0;
      letter-spacing: 0;
      line-height: 16px;
    }

    &__form {
      height: 100%;
    }

    &__form-inputs {
      gap: 20px;
    }

    &__input {
      padding-left: 30px;
      padding-right: 30px;
      height: 45px;
    }

    &__submit {
      position: absolute;
      left: 16px;
      right: 16px;
      bottom: 50px;
      padding: 16px;
      max-width: 350px;
      text-transform: uppercase;
      font-size: 16px;
    }
  }
}